Package bitel.billing.server.admin.bean

# Class ContractParameterPref

java.lang.Object
bitel.billing.server.admin.bean.ContractParameterPref

@Deprecated public class ContractParameterPref extends Object
Deprecated.
Использовать `ContractParameterGroupAttr`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractParameterPref()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContractParameterPref`
  `convertToNewPref()`
  Deprecated.
  `int`
  `getId()`
  Deprecated.
  `String`
  `getScript()`
  Deprecated.
  `int`
  `getSort()`
  Deprecated.
  `String`
  `getTitle()`
  Deprecated.
  `int`
  `getType()`
  Deprecated.
  `boolean`
  `isHistory()`
  Deprecated.
  `boolean`
  `isRead()`
  Deprecated.
  `boolean`
  `isWrite()`
  Deprecated.
  `void`
  `setHistory(boolean history)`
  Deprecated.
  `void`
  `setId(int id)`
  Deprecated.
  `void`
  `setRead(boolean read)`
  Deprecated.
  `void`
  `setScript(String script)`
  Deprecated.
  `void`
  `setSort(int sort)`
  Deprecated.
  `void`
  `setTitle(String title)`
  Deprecated.
  `void`
  `setType(int type)`
  Deprecated.
  `void`
  `setWrite(boolean write)`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractParameterPref

    public ContractParameterPref()
    Deprecated.

- ## Method Details

  - ### getId

    public int getId()
    Deprecated.

  - ### setId

    public void setId(int id)
    Deprecated.

  - ### getType

    public int getType()
    Deprecated.

  - ### setType

    public void setType(int type)
    Deprecated.

  - ### getSort

    public int getSort()
    Deprecated.

  - ### setSort

    public void setSort(int sort)
    Deprecated.

  - ### getTitle

    public String getTitle()
    Deprecated.

  - ### setTitle

    public void setTitle(String title)
    Deprecated.

  - ### getScript

    public String getScript()
    Deprecated.

  - ### setScript

    public void setScript(String script)
    Deprecated.

  - ### isHistory

    public boolean isHistory()
    Deprecated.

  - ### setHistory

    public void setHistory(boolean history)
    Deprecated.

  - ### isRead

    public boolean isRead()
    Deprecated.

  - ### setRead

    public void setRead(boolean read)
    Deprecated.

  - ### isWrite

    public boolean isWrite()
    Deprecated.

  - ### setWrite

    public void setWrite(boolean write)
    Deprecated.

  - ### convertToNewPref

    public ContractParameterPref convertToNewPref()
    Deprecated.